# GXOS config file itself. This is useless because this has to be
# given as a parameter to the JVM on the command line. This is put here
# for documentation purposes. Uncommenting has no effect.
# Use it as such:
#
# java -Dgxos.config=c:\gxos\gxos.conf Lookup //Education
#
#gxos.config=c:\gxos\gxos.conf

# This is required for JNDI context management to start with
# an initial context. This factory class will be used to generate
# the first context as a GxContext by the factory set below.
#
java.naming.factory.initial=org.gxos.gndi.context.GxContextFactory

# Root URL for GXOS names. Currently it is '//' It'll change to
# gxos://
#
java.naming.provider.url=//

# JNDI provider for GXOS. This is the File System NDI from Sun.
# Requires fscontext.jar and providerutil.jar.
# At the moment, we don't support any other JNDI provider, however,
# it will be plugable soon.
#
gxos.subjndi.contextfactory=com.sun.jndi.fscontext.RefFSContextFactory

# Each JNDI provider requires an initial name or URL. This is for
# the File System NDI. This URL should be set to the location where
# GXOS XML objects will reside.
# Examples: file:///home/john/mygxosroot, file://c:/foo/bar
#
#gxos.subjndi.providerurl=file://c:/gxos/db
gxos.subjndi.providerurl=file:///a/birch.csit.fsu.edu/shared/home/cyoun/GXOS/mygxos

# Turns on or off the debug mode. "false" for OFF, and "true" for ON.
# Default value is false.
#gxos.development.debug=false

# All the GXOS objects are brought to the memory whenever
# ContextManager has been initialized. This feature can be turned of
# by setting the following option to false. In this case, objects are
# brought to the memory whenever they are accessed.
gxos.contextmanager.loadall=true

# Personal information interface implementation
gxos.personalinfo.impl=commgrids.users.CGPersonal

# XML Objects extended from TreeObject
gxos.newgxosobjects.number=6
gxos.newgxosobjects.1=commgrids.schema.Assignment
gxos.newgxosobjects.2=commgrids.schema.Course
gxos.newgxosobjects.3=commgrids.schema.Quiz
gxos.newgxosobjects.4=commgrids.schema.User
gxos.newgxosobjects.5=garnet.gateway.schema.Application
gxos.newgxosobjects.6=garnet.gateway.schema.ApplicationDescription
